Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.directory
Interface SequenceDBProvider

All Known Implementing Classes:
  BioFetchSequenceDBProvider, BioSQLSequenceDBProvider, DASSequenceDBProvider, FlatSequenceDBProvider

    public interface SequenceDBProvider

Interfaces for named resources that can provide sequences via a database given some configuration information as defined by the OBDA standard.

Author:
  Thomas Down, Keith James, Matthew Pocock

Method Summary
`String` | `getName()` The name of this provider.
`SequenceDBLite` | `getSequenceDB(Map config)` Get a sequence database.

Method Detail

### getName

    String getName()

  The name of this provider.

  Returns:
    the provider's name.

### getSequenceDB

    SequenceDBLite getSequenceDB(Map config)
                                 throws RegistryException,
                                        BioException

  Get a sequence database.

  Parameters:
    `config` - a Map containing key-value pairs identifying the database to resolve.
  Returns:
    a SequenceDBLite that was resolved.
  Throws:
    `RegistryException`
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD